import request from '@/utils/request'

// 查询资产单据明细列表
export function listOrderDetail(query) {
  return request({
    url: '/change/orderDetail/list',
    method: 'get',
    params: query
  })
}

// 查询资产单据明细详细
export function getOrderDetail(id) {
  return request({
    url: '/change/orderDetail/' + id,
    method: 'get'
  })
}

// 新增资产单据明细
export function addOrderDetail(data) {
  return request({
    url: '/change/orderDetail',
    method: 'post',
    data: data
  })
}

// 修改资产单据明细
export function updateOrderDetail(data) {
  return request({
    url: '/change/orderDetail',
    method: 'put',
    data: data
  })
}

// 删除资产单据明细
export function delOrderDetail(id) {
  return request({
    url: '/change/orderDetail/' + id,
    method: 'delete'
  })
}
